Feeds/Text Endpoints (2022/06)
Use these endpoints to manage Live Text Feeds on the network.
Base URL for these endpoints: https://api.bsn.cloud/2022/06/REST/Feeds/Text
_________________________________________________________________________
GET /
Returns a list of Live Text Feeds on a network
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Query String Parameters
- filter string optional: An expressionexpression for filtering search results. The default value is null.
- sort string optional: An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (see this pagethis page for more information). The default value is null.
- marker string optional: A value specifying which page to retrieve. This value is useful if the isTruncated entry in the response body of the previous GET call indicates that the number of Text Feeds exceeds the pageSize. This parameter is only required if you need more elements in the paged list than the pageSize (100).
- pageSize int optional: The maximum number of Text Feeds that can be contained in the response body. This defaults to the maximum allowed page size (100).
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- marker value is set to the [PagedList].[NextMarker] property value from the previous BSN.cloud API response.
- pageSize is set to 1
- filter is set to [CreationDate] IS NOT IN THE RANGE '2000-01-01' AND '2022-01-01'
- sort is set to [FileSize] ASC
GET /2022/06/REST/Feeds/Text/?marker=ODUzLDcyMjE4MTI%3D&pageSize=1&filter=%5BCreationDate%5D%20IS%20NOT%20IN%20THE%20RANGE%20%272000-01-01%27%20AND%20%272022-01-01%27&sort=%5BFileSize%5D%20ASC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns a paged listpaged list of Live Text Feed EntitiesLive Text Feed Entity on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.
Example
{
"items": [
{
"id": 1234567,
"name": "Menu Items",
"physicalPath": "https://bsncloud.s3.amazonaws.com/ContentCloud/Feeds/3ddd24eaf9b2307852636dc45269f242",
"fileSize": 1086,
"fileHash": "SHA1:A578287BFBBD89C1663100042GF2C057C273F43F",
"creationDate": "2023-03-09T16:30:26.383Z",
"lastModifiedDate": "2023-03-09T16:50:24.883Z",
"items": null,
"presentations": [
{
"id": 12345,
"name": "All Set Presentation",
"type": "Presentation",
"link": null
}
],
"permissions": []
}
],
"totalItemCount": 2,
"matchingItemCount": 2,
"pageSize": 1,
"nextMarker": "MTA4Niw3MjMwOTY3",
"prevMarker": "MTA4Niw3MjMwn1rT",
"isTruncated": false,
"sortExpression": "[FileSize] ASC",
"filterExpression": "[CreationDate] IS NOT IN THE RANGE '2000-01-01T00:00:00.000Z' AND '2022-01-01T00:00:00.000Z'"
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /
Creates a live text feed on a network
Required Scope Token
bsn.api.main.feeds.text.create
______________________________________________________________
Request Body
- The Live Text Feed EntityLive Text Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
POST /2022/06/REST/Feeds/Text/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 389This is the example request body:
{
"id": 0,
"name": "Breakfast Menu",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"items": [
{
"title": "Hamburger: $9.99",
"description": "Ground chuck, onion, Worcestershire sauce & seasonings.",
"validityStartDate": "2023-11-01T00:00:00Z",
"validityEndDate": "2023-12-01T00:00:00Z"
}
],
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response Body
201: Returns the Live Text Feed EntityLive Text Feed Entity created and referenced by the Uri (given by the Location header field) in the response.
Example
{
"id": 2345678,
"name": "Price List",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JaneDoeTesting/Feeds/d1df209dfa240a5e5e74657c76f46cf3",
"fileSize": 159,
"fileHash": "SHA1:5BE7EDB6A8FBHAA23894114C185CD8AFD9A8E279",
"creationDate": "2023-10-06T19:43:47.597Z",
"lastModifiedDate": "2023-10-06T19:43:47.597Z",
"items": [
{
"title": "Hamburger: $9.99",
"description": "Ground chuck, onion, Worcestershire sauce & seasonings.",
"validityStartDate": "2023-11-01T00:00:00Z",
"validityEndDate": "2023-12-01T00:00:00Z"
}
],
"presentations": [],
"permissions": []
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /
Removes Live Text Feeds, specified by a filter, from a network. This allows multiple Live Text Feeds to be deleted at once.
Required Scope Token
bsn.api.main.feeds.text.delete
______________________________________________________________
Query String Parameter
- filter string required: An expressionexpression for filtering search results
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [Name] IS 'Price List'
DELETE /2022/06/REST/Feeds/Text/?filter=%5BName%5D%20IS%20%27Price List%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the number of affected live text feeds as an integer value
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /Count/
Returns the number of live text feeds on the network that match the specified filter criteria. If no filter is included, this call returns the total number of live text feeds on the network.
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Query String Parameter
- filter string optional: An expressionexpression for filtering search results
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [Name] CONTAINS 'Test'
GET /2022/06/REST/Feeds/Text/Count/?filter=%20%5BName%5D%20CONTAINS%20%27Test%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: The number of live text feeds is returned as an integer value
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/
Returns the specified Live Text Feeds
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feeds
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 234567
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Feeds/Text/234567/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Live Text Feed EntityLive Text Feed Entity
Example
This is a 200 response example:
{
"id": 234567,
"name": "Test2",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JohnDoeTesting/Feeds/f2a442416bd2c6876bf16a19f8d21457",
"fileSize": 161,
"fileHash": "SHA1:85F4B1A9F50C55631E8398EA68467B34EFF00E8C",
"creationDate": "2023-10-24T17:50:40.237Z",
"lastModifiedDate": "2024-01-03T20:33:35.093Z",
"items": [],
"presentations": [],
"permissions": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{id}/
Modifies the specified Live Text Feeds
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feeds
______________________________________________________________
Request Body
- The Live Text Feed EntityLive Text Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Feeds/Text/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 398This is the example request body:
{
"id": 0,
"name": "Breakfast Menu",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"items": [
{
"title": "Hamburger: $9.99",
"description": "Ground chuck, onion, Worcestershire sauce & seasonings.",
"validityStartDate": "2023-11-01T00:00:00Z",
"validityEndDate": "2023-12-01T00:00:00Z"
}
],
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response
204: The specified Live Text Feeds has been updated
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource/Live Text Feed changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/
Removes the specified Live Text Feeds
Required Scope Token
bsn.api.main.feeds.text.delete
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feeds
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Feeds/Text/12345/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Live Text Feed has been deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /{name}/
Returns the specified Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Feeds/Text/NewsFeed/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Live Text Feed EntityLive Text Feed Entity
Example
This is a 200 response example:
{
"id": 12345,
"name": "NewsFeed",
"physicalPath": "https://bsncloud.s3.amazonaws.com/JohnDoeTesting/Feeds/f8a442416bd2c6876bf16a19f8d21457",
"fileSize": 161,
"fileHash": "SHA1:85F4B1A9F50C45631E8398EA68497B34E0F00E8C",
"creationDate": "2023-10-24T17:50:40.237Z",
"lastModifiedDate": "2023-10-24T17:50:40.237Z",
"items": [],
"presentations": [],
"permissions": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{name}/
Modifies the specified Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Body
- The Live Text Feed EntityLive Text Feed Entity
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Feeds/Text/NewsFeed/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Content-Type: application/json
Content-Length: 398This is the example request body:
{
"id": 0,
"name": "Breakfast Menu",
"physicalPath": null,
"fileSize": 0,
"fileHash": null,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"items": [
{
"title": "Hamburger: $9.99",
"description": "Ground chuck, onion, Worcestershire sauce & seasonings.",
"validityStartDate": "2023-11-01T00:00:00Z",
"validityEndDate": "2023-12-01T00:00:00Z"
}
],
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response
204: The specified Live Text Feed has been updated
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource/live text feed instance changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/
Removes the specified Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.delete
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Feeds/Text/NewsFeed/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 3 Jan 2024 20:33:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Live Text Feed has been deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /Operations/
Returns operational permissions granted to roles for specific business operations
Required Scope Token
bsn.api.main.operations.retrieve
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
GET /2022/06/REST/Feeds/Text/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Business Operations EntityBusiness Operations Entity
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/Permissions/
Includes object permissions for a given Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 4567890
GET /2022/06/REST/Feeds/Text/4567890/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 4567890,
"operationUID": "5ef4d2e0-3abc-4f3d-aa8f-d1bbddace601",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.05Z"
},
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{id}/Permissions/
Adds permissions to Live Text Feed(s) with the specified id.
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 4567890
POST /2022/06/REST/Feeds/Text/4567890/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 368This is the example request body:
[
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully granted
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/Permissions/
Removes permissions from the specified Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- id int: A unique identifier for the Live Text Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 4567890
DELETE /2022/06/REST/Feeds/Text/4567890/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 4567890,
"operationUID": "5ef4d2e0-3abc-4f3d-aa8f-d1bbddace601",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.05Z"
},
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{name}/Permissions/
Includes object permissions for a given Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.retrieve
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
GET /2022/06/REST/Feeds/Text/NewsFeed/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 4567890,
"operationUID": "5ef4d2e0-3abc-4f3d-aa8f-d1bbddace601",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.05Z"
},
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{name}/Permissions/
Adds permissions to Live Text Feed(s) with the specified name.
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
POST /2022/06/REST/Feeds/Text/NewsFeed/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 368This is the example request body:
[
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully granted
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The specified representation of the permissions entity is invalid or not supported (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/Permissions/
Removes permissions from the specified Live Text Feed
Required Scope Token
bsn.api.main.feeds.text.update
______________________________________________________________
Segment
- name string: The name of the Live Text Feed
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to NewsFeed
DELETE /2022/06/REST/Feeds/Text/NewsFeed/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 328This is the example request body:
[
{
"entityId": 4567890,
"operationUID": "5ef4d2e0-3abc-4f3d-aa8f-d1bbddace601",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.05Z"
},
{
"entityId": 4567890,
"operationUID": "376563fa-72b4-471a-9d49-1f4de927dc20",
"principal": {
"login": "[email protected]",
"type": "User",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": false,
"creationDate": "2023-10-27T18:48:11.057Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error